--- old/usr/src/test/zfs-tests/runfiles/delphix.run	Mon Aug  5 17:25:14 2019
+++ new/usr/src/test/zfs-tests/runfiles/delphix.run	Mon Aug  5 17:25:14 2019
@@ -10,8 +10,9 @@
 #
 
 #
-# Copyright (c) 2012, 2017 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2016, OmniTI Computer Consulting, Inc. All rights reserved.
+# Copyright 2017 Nexenta Systems Inc. All rights reserved.
 #
 
 [DEFAULT]
@@ -134,7 +135,7 @@
 [/opt/zfs-tests/tests/functional/cli_root/zfs_get]
 tests = ['zfs_get_001_pos', 'zfs_get_002_pos', 'zfs_get_003_pos',
     'zfs_get_004_pos', 'zfs_get_005_neg', 'zfs_get_006_neg', 'zfs_get_007_neg',
-    'zfs_get_008_pos', 'zfs_get_009_pos', 'zfs_get_010_neg']
+    'zfs_get_008_pos', 'zfs_get_009_pos', 'zfs_get_010_neg', 'zfs_get_011_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_inherit]
 tests = ['zfs_inherit_001_neg', 'zfs_inherit_002_neg', 'zfs_inherit_003_pos']
@@ -159,7 +160,7 @@
     'zfs_receive_005_neg', 'zfs_receive_006_pos',
     'zfs_receive_007_neg', 'zfs_receive_008_pos', 'zfs_receive_009_neg',
     'zfs_receive_010_pos', 'zfs_receive_011_pos', 'zfs_receive_012_pos',
-    'zfs_receive_013_pos', 'zfs_receive_014_pos']
+    'zfs_receive_013_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zfs_rename]
 tests = ['zfs_rename_001_pos', 'zfs_rename_002_pos', 'zfs_rename_003_pos',
@@ -224,15 +225,13 @@
 [/opt/zfs-tests/tests/functional/cli_root/zpool_add]
 tests = ['zpool_add_001_pos', 'zpool_add_002_pos', 'zpool_add_003_pos',
     'zpool_add_004_pos', 'zpool_add_005_pos', 'zpool_add_006_pos',
-    'zpool_add_007_neg', 'zpool_add_008_neg', 'zpool_add_009_neg',
-    'add_nested_replacing_spare']
+    'zpool_add_007_neg', 'zpool_add_008_neg', 'zpool_add_009_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_attach]
 tests = ['zpool_attach_001_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_clear]
-tests = ['zpool_clear_001_pos', 'zpool_clear_002_neg', 'zpool_clear_003_neg',
-    'zpool_clear_readonly']
+tests = ['zpool_clear_001_pos', 'zpool_clear_002_neg', 'zpool_clear_003_neg']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_create]
 tests = ['zpool_create_001_pos', 'zpool_create_002_pos',
@@ -279,17 +278,7 @@
     'zpool_import_features_001_pos', 'zpool_import_features_002_neg',
     'zpool_import_features_003_pos', 'zpool_import_missing_001_pos',
     'zpool_import_missing_002_pos', 'zpool_import_missing_003_pos',
-    'zpool_import_rename_001_pos',
-    'import_cachefile_device_added',
-    'import_cachefile_device_removed',
-    'import_cachefile_mirror_attached',
-    'import_cachefile_mirror_detached',
-    'import_cachefile_device_replaced',
-    'import_rewind_config_changed',
-    'import_rewind_device_replaced',
-    'import_cachefile_shared_device',
-    'import_paths_changed',
-    'import_devices_missing']
+    'zpool_import_rename_001_pos']
 
 [/opt/zfs-tests/tests/functional/cli_root/zpool_labelclear]
 tests = ['zpool_labelclear_active', 'zpool_labelclear_exported']
@@ -434,7 +423,7 @@
 tests = ['mmap_read_001_pos', 'mmap_write_001_pos']
 
 [/opt/zfs-tests/tests/functional/mount]
-tests = ['umount_001', 'umountall_001']
+tests = ['umount_001', 'umount_002', 'umountall_001']
 
 [/opt/zfs-tests/tests/functional/mv_files]
 tests = ['mv_files_001_pos', 'mv_files_002_pos']
@@ -481,19 +470,6 @@
 tests = ['refreserv_001_pos', 'refreserv_002_pos', 'refreserv_003_pos',
     'refreserv_004_pos', 'refreserv_005_pos']
 
-[/opt/zfs-tests/tests/functional/removal]
-pre =
-tests = ['removal_sanity', 'removal_all_vdev', 'removal_check_space',
-    'removal_condense_export',
-    'removal_multiple_indirection', 'removal_remap',
-    'removal_remap_deadlists',
-    'removal_with_add', 'removal_with_create_fs', 'removal_with_dedup',
-    'removal_with_export', 'removal_with_ganging', 'removal_with_remap',
-    'removal_with_remove', 'removal_with_scrub', 'removal_with_send',
-    'removal_with_send_recv', 'removal_with_snapshot', 'removal_with_write',
-    'removal_with_zdb', 'removal_resume_export',
-    'remove_mirror', 'remove_mirror_sanity', 'remove_raidz']
-
 [/opt/zfs-tests/tests/functional/rename_dirs]
 tests = ['rename_dirs_001_pos']
 
